Skip to main content
GET
/
calendars
/
{calendarId}
/
free-slots
Get Free Slots
curl --request GET \
  --url https://services.leadconnectorhq.com/calendars/{calendarId}/free-slots \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "2024-10-28": {
    "slots": [
      "2024-10-28T10:00:00-05:00",
      "2024-10-28T11:00:00-05:00"
    ]
  },
  "2024-10-29": {
    "slots": [
      "2024-10-29T10:00:00-05:00",
      "2024-10-29T14:30:00-05:00"
    ]
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

calendarId
string
required

Calendar Id

Example:

"ocQHyuzHvysMo5N5VsXc"

Query Parameters

startDate
number
required

Start Date (⚠️ Important: Date range cannot be more than 31 days)

Example:

1548898600000

endDate
number
required

End Date (⚠️ Important: Date range cannot be more than 31 days)

Example:

1601490599999

timezone
string

The timezone in which the free slots are returned

Example:

"America/Chihuahua"

userId
string

The user for whom the free slots are returned

Example:

"082goXVW3lIExEQPOnd3"

userIds
string[]

The users for whom the free slots are returned

Response

Availability map keyed by date (YYYY-MM-DD)

{key}
object
Last modified on March 4, 2026